<div class="row">
  <div class="col-md-12">
    <div class="main-card mb-3 card">
      <div class="card-header">Device Management
        <div class="btn-actions-pane-right">
          <div role="group" class="btn-group-sm btn-group">
            <button class="active btn btn-focus btn btn-success" (click)="openLg(content)">New Device</button>
            <button class="btn btn-focus mat-raised-button mat-accent">Download Excel</button>
          </div>
        </div>
      </div>
      <div class="table-responsive">
        <table class="align-middle mb-0 table table-borderless table-striped table-hover" *ngIf="tabList.length">

          <thead>
            <tr>

              <th class="text-center">ID</th>
              <th class="text-center">Station Name </th>
              <th class="text-center">Location Name</th>
              <th class="text-center">Device Name</th>
              <th class="text-center">Device Id </th>
              <th class="text-center">Create Date</th>
              <th class="text-center">Update Date</th>
              <th class="text-center">Status</th>
              <th class="text-center">Action</th>

            </tr>
          </thead>

          <tbody>
            <tr>
              <td class="text-center text-muted"></td>
              <td class="p-0">
                <div>
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option *ngFor="let tab of tabList">{{tab.station.parent.name}}</mat-option>

                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center p-0">
                <div>
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option *ngFor="let tab of tabList">{{tab.station.name}}({{tab.station.id}})</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center p-0">

              </td>

              <td class="text-center p-0">

              </td>

              <td class="text-center p-0">
                <div class="widget-content p-0">

                </div>
              </td>

              <td class="text-center p-0">

              </td>

              <td class="text-center p-0">
                <div>
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option>selects</mat-option>
                      <mat-option value="option1">All</mat-option>
                      <mat-option value="option2">Active</mat-option>
                      <mat-option value="option3">Inactive</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>

              <td class="text-center p-0">

              </td>
            </tr>
          </tbody>


          <tbody *ngFor="let tab of tabList">
            <tr >
              <td class="text-center text-muted">{{tab.id}}</td>
              <td>
                <div class="widget-content p-0">
                  <div class="widget-heading">{{tab.station.parent.name}}</div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{tab.station.name}}({{tab.station.id}})</div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{tab.name}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{tab.device_id}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{tab.created_at}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content ">{{tab.updated_at}}</div>
              </td>

              <td class="text-center">
                <div class="widget-content badge badge-success">
                  <div class="widget-heading">Active</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">Point 1</div>
                </div>
              </td>
            </tr>

          </tbody>


        </table>
      </div>
      <div class="d-block text-center card-footer">
        <button class="mr-2 btn-icon btn-icon-only btn btn-outline-danger"><i class="pe-7s-trash btn-icon-wrapper"> </i>
        </button>
        <button class="btn-wide btn btn-success">Save</button>
      </div>
    </div>
  </div>
</div>


<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title">{{header}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="staffForm" (ngSubmit)="onSubmit()" #form="ngForm">

    <div class="modal-body">
      <input type="hidden" formControlName="is_active" value="1">
      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="station" #mySelect
        (change)='onOptionsSelected(mySelect.value)'>
          <option value="">Select Station</option>
          <option *ngFor="let station of stationList" [value]="station.id">
            {{station.name}}
          </option>


        </select>
      </mat-form-field>


      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="location">
          <option *ngFor="let location of locationList" [value]="location.id">
            {{location.name}}
          </option>
        </select>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Device ID" required formControlName="device_id" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Device" required formControlName="name" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Icon" required formControlName="icon" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Latitude" required formControlName="lat" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Longitude" required formControlName="lon" />
      </mat-form-field>



      <mat-form-field class="example-full-width">
        <input matInput placeholder="No of Cycles" required formControlName="no_of_cycles" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Make" required formControlName="make" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Model" required formControlName="model" />
      </mat-form-field>



      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT IP" required formControlName="mqtt_ip" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT Port" required formControlName="mqtt_port" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT Topic" required formControlName="mqtt_topic" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Time Variation" required formControlName="time_variation" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Device Variation" required formControlName="data_variation" />
      </mat-form-field>

    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary">Save</button>
    </div>
  </form>
</ng-template>